import{s as ut,n as ft,o as gt}from"../chunks/scheduler.924d507e.js";import{S as ht,i as _t,g as s,s as r,r as m,A as yt,h as o,f as a,c as n,j as b,u as c,x as _,k as $,y as t,a as p,v as u,d as f,t as g,w as h}from"../chunks/index.0ece89e8.js";import{D as v}from"../chunks/Docstring.5956222d.js";import{H as Ne}from"../chunks/Heading.c9bff43c.js";function bt(Xe){let C,ce,pe,ue,O,fe,S,Ze='<a href="https://hf.co/papers/2309.14859" rel="nofollow">LyCORIS</a> (Lora beYond Conventional methods, Other Rank adaptation Implementations for Stable diffusion) are LoRA-like matrix decomposition adapters that modify the cross-attention layer of the UNet. The <a href="loha">LoHa</a> and <a href="lokr">LoKr</a> methods inherit from the <code>Lycoris</code> classes here.',ge,V,he,w,R,ke,B,et="A base config for LyCORIS like adapters",_e,A,ye,y,M,Ee,J,tt="A base layer for LyCORIS like adapters",Oe,T,F,Se,Q,rt="Merge the active adapter weights into the base weights",Ve,D,H,Re,X,at="This method unmerges all merged adapter layers from the base weights.",be,U,$e,i,j,Ae,Z,nt="A base tuner for LyCORIS like adapters",Me,I,q,Fe,ee,st="Deletes an existing adapter.",He,L,z,Ue,te,ot="Disable all adapters.",je,re,lt="When disabling all adapters, the model output corresponds to the output of the base model.",qe,x,G,ze,ae,it="Enable all adapters.",Ge,ne,dt="Call this if you have previously disabled all adapters and want to re-enable them.",Ke,P,K,We,se,pt=`This method merges the adapter layers into the base model. This is needed if someone wants to use the base
model as a standalone model.`,Ye,N,W,Be,oe,mt="Set the active adapter(s).",Je,k,Y,Qe,le,ct=`Gets back the base model by removing all the lora modules without merging. This gives back the original base
model.`,ve,me,Le;return O=new Ne({props:{title:"LyCORIS",local:"lycoris",headingTag:"h1"}}),V=new Ne({props:{title:"LycorisConfig",local:"peft.tuners.lycoris_utils.LycorisConfig",headingTag:"h2"}}),R=new v({props:{name:"class peft.tuners.lycoris_utils.LycorisConfig",anchor:"peft.tuners.lycoris_utils.LycorisConfig",parameters:[{name:"peft_type",val:": Union = None"},{name:"auto_mapping",val:": Optional = None"},{name:"base_model_name_or_path",val:": Optional = None"},{name:"revision",val:": Optional = None"},{name:"task_type",val:": Union = None"},{name:"inference_mode",val:": bool = False"},{name:"rank_pattern",val:": Optional[dict] = <factory>"},{name:"alpha_pattern",val:": Optional[dict] = <factory>"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L35"}}),A=new Ne({props:{title:"LycorisLayer",local:"peft.tuners.lycoris_utils.LycorisLayer",headingTag:"h2"}}),M=new v({props:{name:"class peft.tuners.lycoris_utils.LycorisLayer",anchor:"peft.tuners.lycoris_utils.LycorisLayer",parameters:[{name:"base_layer",val:": nn.Module"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L61"}}),F=new v({props:{name:"merge",anchor:"peft.tuners.lycoris_utils.LycorisLayer.merge",parameters:[{name:"safe_merge",val:": bool = False"},{name:"adapter_names",val:": Optional[List[str]] = None"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisLayer.merge.safe_merge",description:`<strong>safe_merge</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If <code>True</code>, the merge operation will be performed in a copy of the original weights and check for NaNs
before merging the weights. This is useful if you want to check if the merge operation will produce
NaNs. Defaults to <code>False</code>.`,name:"safe_merge"},{anchor:"peft.tuners.lycoris_utils.LycorisLayer.merge.adapter_names",description:`<strong>adapter_names</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of adapter names that should be merged. If <code>None</code>, all active adapters will be merged.
Defaults to <code>None</code>.`,name:"adapter_names"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L111"}}),H=new v({props:{name:"unmerge",anchor:"peft.tuners.lycoris_utils.LycorisLayer.unmerge",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L170"}}),U=new Ne({props:{title:"LycorisTuner",local:"peft.tuners.lycoris_utils.LycorisTuner",headingTag:"h2"}}),j=new v({props:{name:"class peft.tuners.lycoris_utils.LycorisTuner",anchor:"peft.tuners.lycoris_utils.LycorisTuner",parameters:[{name:"model",val:""},{name:"config",val:""},{name:"adapter_name",val:""}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L197"}}),q=new v({props:{name:"delete_adapter",anchor:"peft.tuners.lycoris_utils.LycorisTuner.delete_adapter",parameters:[{name:"adapter_name",val:": str"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisTuner.delete_adapter.adapter_name",description:"<strong>adapter_name</strong> (<code>str</code>) &#x2014; Name of the adapter to be deleted.",name:"adapter_name"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L398"}}),z=new v({props:{name:"disable_adapter_layers",anchor:"peft.tuners.lycoris_utils.LycorisTuner.disable_adapter_layers",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L349"}}),G=new v({props:{name:"enable_adapter_layers",anchor:"peft.tuners.lycoris_utils.LycorisTuner.enable_adapter_layers",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L342"}}),K=new v({props:{name:"merge_and_unload",anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload",parameters:[{name:"progressbar",val:": bool = False"},{name:"safe_merge",val:": bool = False"},{name:"adapter_names",val:": Optional[List[str]] = None"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload.progressbar",description:`<strong>progressbar</strong> (<code>bool</code>) &#x2014;
whether to show a progressbar indicating the unload and merge process`,name:"progressbar"},{anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload.safe_merge",description:`<strong>safe_merge</strong> (<code>bool</code>) &#x2014;
whether to activate the safe merging check to check if there is any potential Nan in the adapter
weights`,name:"safe_merge"},{anchor:"peft.tuners.lycoris_utils.LycorisTuner.merge_and_unload.adapter_names",description:`<strong>adapter_names</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
The list of adapter names that should be merged. If None, all active adapters will be merged. Defaults
to <code>None</code>.`,name:"adapter_names"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L356"}}),W=new v({props:{name:"set_adapter",anchor:"peft.tuners.lycoris_utils.LycorisTuner.set_adapter",parameters:[{name:"adapter_name",val:": str | list[str]"}],parametersDescription:[{anchor:"peft.tuners.lycoris_utils.LycorisTuner.set_adapter.adapter_name",description:"<strong>adapter_name</strong> (<code>str</code> or <code>list[str]</code>) &#x2014; Name of the adapter(s) to be activated.",name:"adapter_name"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L385"}}),Y=new v({props:{name:"unload",anchor:"peft.tuners.lycoris_utils.LycorisTuner.unload",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/tuners/lycoris_utils.py#L378"}}),{c(){C=s("meta"),ce=r(),pe=s("p"),ue=r(),m(O.$$.fragment),fe=r(),S=s("p"),S.innerHTML=Ze,ge=r(),m(V.$$.fragment),he=r(),w=s("div"),m(R.$$.fragment),ke=r(),B=s("p"),B.textContent=et,_e=r(),m(A.$$.fragment),ye=r(),y=s("div"),m(M.$$.fragment),Ee=r(),J=s("p"),J.textContent=tt,Oe=r(),T=s("div"),m(F.$$.fragment),Se=r(),Q=s("p"),Q.textContent=rt,Ve=r(),D=s("div"),m(H.$$.fragment),Re=r(),X=s("p"),X.textContent=at,be=r(),m(U.$$.fragment),$e=r(),i=s("div"),m(j.$$.fragment),Ae=r(),Z=s("p"),Z.textContent=nt,Me=r(),I=s("div"),m(q.$$.fragment),Fe=r(),ee=s("p"),ee.textContent=st,He=r(),L=s("div"),m(z.$$.fragment),Ue=r(),te=s("p"),te.textContent=ot,je=r(),re=s("p"),re.textContent=lt,qe=r(),x=s("div"),m(G.$$.fragment),ze=r(),ae=s("p"),ae.textContent=it,Ge=r(),ne=s("p"),ne.textContent=dt,Ke=r(),P=s("div"),m(K.$$.fragment),We=r(),se=s("p"),se.textContent=pt,Ye=r(),N=s("div"),m(W.$$.fragment),Be=r(),oe=s("p"),oe.textContent=mt,Je=r(),k=s("div"),m(Y.$$.fragment),Qe=r(),le=s("p"),le.textContent=ct,ve=r(),me=s("p"),this.h()},l(e){const l=yt("svelte-u9bgzb",document.head);C=o(l,"META",{name:!0,content:!0}),l.forEach(a),ce=n(e),pe=o(e,"P",{}),b(pe).forEach(a),ue=n(e),c(O.$$.fragment,e),fe=n(e),S=o(e,"P",{"data-svelte-h":!0}),_(S)!=="svelte-u1n5we"&&(S.innerHTML=Ze),ge=n(e),c(V.$$.fragment,e),he=n(e),w=o(e,"DIV",{class:!0});var xe=b(w);c(R.$$.fragment,xe),ke=n(xe),B=o(xe,"P",{"data-svelte-h":!0}),_(B)!=="svelte-lekccd"&&(B.textContent=et),xe.forEach(a),_e=n(e),c(A.$$.fragment,e),ye=n(e),y=o(e,"DIV",{class:!0});var E=b(y);c(M.$$.fragment,E),Ee=n(E),J=o(E,"P",{"data-svelte-h":!0}),_(J)!=="svelte-n4c8qe"&&(J.textContent=tt),Oe=n(E),T=o(E,"DIV",{class:!0});var Ce=b(T);c(F.$$.fragment,Ce),Se=n(Ce),Q=o(Ce,"P",{"data-svelte-h":!0}),_(Q)!=="svelte-12t0sju"&&(Q.textContent=rt),Ce.forEach(a),Ve=n(E),D=o(E,"DIV",{class:!0});var we=b(D);c(H.$$.fragment,we),Re=n(we),X=o(we,"P",{"data-svelte-h":!0}),_(X)!=="svelte-ukua1i"&&(X.textContent=at),we.forEach(a),E.forEach(a),be=n(e),c(U.$$.fragment,e),$e=n(e),i=o(e,"DIV",{class:!0});var d=b(i);c(j.$$.fragment,d),Ae=n(d),Z=o(d,"P",{"data-svelte-h":!0}),_(Z)!=="svelte-uzavf9"&&(Z.textContent=nt),Me=n(d),I=o(d,"DIV",{class:!0});var Te=b(I);c(q.$$.fragment,Te),Fe=n(Te),ee=o(Te,"P",{"data-svelte-h":!0}),_(ee)!=="svelte-1cw64z1"&&(ee.textContent=st),Te.forEach(a),He=n(d),L=o(d,"DIV",{class:!0});var ie=b(L);c(z.$$.fragment,ie),Ue=n(ie),te=o(ie,"P",{"data-svelte-h":!0}),_(te)!=="svelte-q60vod"&&(te.textContent=ot),je=n(ie),re=o(ie,"P",{"data-svelte-h":!0}),_(re)!=="svelte-1ecn6m6"&&(re.textContent=lt),ie.forEach(a),qe=n(d),x=o(d,"DIV",{class:!0});var de=b(x);c(G.$$.fragment,de),ze=n(de),ae=o(de,"P",{"data-svelte-h":!0}),_(ae)!=="svelte-bv5m7u"&&(ae.textContent=it),Ge=n(de),ne=o(de,"P",{"data-svelte-h":!0}),_(ne)!=="svelte-13saw9o"&&(ne.textContent=dt),de.forEach(a),Ke=n(d),P=o(d,"DIV",{class:!0});var De=b(P);c(K.$$.fragment,De),We=n(De),se=o(De,"P",{"data-svelte-h":!0}),_(se)!=="svelte-1pmlbbw"&&(se.textContent=pt),De.forEach(a),Ye=n(d),N=o(d,"DIV",{class:!0});var Ie=b(N);c(W.$$.fragment,Ie),Be=n(Ie),oe=o(Ie,"P",{"data-svelte-h":!0}),_(oe)!=="svelte-8teaja"&&(oe.textContent=mt),Ie.forEach(a),Je=n(d),k=o(d,"DIV",{class:!0});var Pe=b(k);c(Y.$$.fragment,Pe),Qe=n(Pe),le=o(Pe,"P",{"data-svelte-h":!0}),_(le)!=="svelte-ru82pu"&&(le.textContent=ct),Pe.forEach(a),d.forEach(a),ve=n(e),me=o(e,"P",{}),b(me).forEach(a),this.h()},h(){$(C,"name","hf:doc:metadata"),$(C,"content",$t),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,C),p(e,ce,l),p(e,pe,l),p(e,ue,l),u(O,e,l),p(e,fe,l),p(e,S,l),p(e,ge,l),u(V,e,l),p(e,he,l),p(e,w,l),u(R,w,null),t(w,ke),t(w,B),p(e,_e,l),u(A,e,l),p(e,ye,l),p(e,y,l),u(M,y,null),t(y,Ee),t(y,J),t(y,Oe),t(y,T),u(F,T,null),t(T,Se),t(T,Q),t(y,Ve),t(y,D),u(H,D,null),t(D,Re),t(D,X),p(e,be,l),u(U,e,l),p(e,$e,l),p(e,i,l),u(j,i,null),t(i,Ae),t(i,Z),t(i,Me),t(i,I),u(q,I,null),t(I,Fe),t(I,ee),t(i,He),t(i,L),u(z,L,null),t(L,Ue),t(L,te),t(L,je),t(L,re),t(i,qe),t(i,x),u(G,x,null),t(x,ze),t(x,ae),t(x,Ge),t(x,ne),t(i,Ke),t(i,P),u(K,P,null),t(P,We),t(P,se),t(i,Ye),t(i,N),u(W,N,null),t(N,Be),t(N,oe),t(i,Je),t(i,k),u(Y,k,null),t(k,Qe),t(k,le),p(e,ve,l),p(e,me,l),Le=!0},p:ft,i(e){Le||(f(O.$$.fragment,e),f(V.$$.fragment,e),f(R.$$.fragment,e),f(A.$$.fragment,e),f(M.$$.fragment,e),f(F.$$.fragment,e),f(H.$$.fragment,e),f(U.$$.fragment,e),f(j.$$.fragment,e),f(q.$$.fragment,e),f(z.$$.fragment,e),f(G.$$.fragment,e),f(K.$$.fragment,e),f(W.$$.fragment,e),f(Y.$$.fragment,e),Le=!0)},o(e){g(O.$$.fragment,e),g(V.$$.fragment,e),g(R.$$.fragment,e),g(A.$$.fragment,e),g(M.$$.fragment,e),g(F.$$.fragment,e),g(H.$$.fragment,e),g(U.$$.fragment,e),g(j.$$.fragment,e),g(q.$$.fragment,e),g(z.$$.fragment,e),g(G.$$.fragment,e),g(K.$$.fragment,e),g(W.$$.fragment,e),g(Y.$$.fragment,e),Le=!1},d(e){e&&(a(ce),a(pe),a(ue),a(fe),a(S),a(ge),a(he),a(w),a(_e),a(ye),a(y),a(be),a($e),a(i),a(ve),a(me)),a(C),h(O,e),h(V,e),h(R),h(A,e),h(M),h(F),h(H),h(U,e),h(j),h(q),h(z),h(G),h(K),h(W),h(Y)}}}const $t='{"title":"LyCORIS","local":"lycoris","sections":[{"title":"LycorisConfig","local":"peft.tuners.lycoris_utils.LycorisConfig","sections":[],"depth":2},{"title":"LycorisLayer","local":"peft.tuners.lycoris_utils.LycorisLayer","sections":[],"depth":2},{"title":"LycorisTuner","local":"peft.tuners.lycoris_utils.LycorisTuner","sections":[],"depth":2}],"depth":1}';function vt(Xe){return gt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tt extends ht{constructor(C){super(),_t(this,C,vt,bt,ut,{})}}export{Tt as component};
